<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePhysicianTrainingRequestTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('physician_training_request', function (Blueprint $table) {
            $table->id();
            $table->string('uid')->unique();
            $table->string('iid')->unique();
            $table->string('name_first');
            $table->string('name_last');
            $table->string('practice_name')->nullable();
            $table->string('email')->nullable();
            $table->string('phone')->nullable();
            $table->string('zip')->nullable();
            $table->string('training_type')->nullable();
            $table->string('training_type_other')->nullable();
            $table->string('training_format')->nullable();
            $table->longText('notes')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('physician_training_request');
    }
}
